/* Layout */
import Layout from '@/layout'
// 认证机构路由
const clubRoutes = [
  {
    path: '/club',
    component: Layout,
    alwaysShow: true,
    redirect: '/club/list',
    name: 'Club',
    meta: { title: '机构认证', noCache: true },
    children: [
      // 机构
      {
        path: 'list',
        component: () => import('@/views/normal/club'),
        name: 'ClubList',
        meta: { title: '机构列表', affix: true, noCache: false }
      },
      {
        path: 'club-add',
        component: () => import('@/views/normal/club/edit'),
        name: 'ClubAdd',
        meta: { title: '添加机构', noCache: true }
      },
      {
        path: 'logistics-licensed',
        component: () => import('@/views/normal/club/logistics-licensed'),
        name: 'ClubLogisticsLicensed',
        meta: { title: '授权牌物流', noCache: false }
      },
      {
        path: 'club-edit',
        component: () => import('@/views/normal/club/edit'),
        name: 'ClubEdit',
        meta: { title: '修改机构', noCache: true }
      },
      // 设备
      {
        path: 'device-list',
        component: () => import('@/views/normal/club/device'),
        name: 'ClubDeviceList',
        meta: { title: '设备列表', noCache: false }
      },
      {
        path: 'device-bind',
        component: () => import('@/views/normal/club/device/bind'),
        name: 'ClubDeviceBind',
        meta: { title: '关联已认证设备', noCache: true }
      },
      {
        path: 'device-add',
        component: () => import('@/views/normal/club/device/edit'),
        name: 'ClubDeviceAdd',
        meta: { title: '新设备认证', noCache: true }
      },
      {
        path: 'device-edit',
        component: () => import('@/views/normal/club/device/edit'),
        name: 'ClubDeviceEdit',
        meta: { title: '修改设备', noCache: true }
      },
      {
        path: 'device-cate',
        component: () => import('@/views/normal/club/cate/index'),
        name: 'ClubDeviceCate',
        meta: { title: '设备管理', noCache: false }
      },
      {
        path: 'device-cate-edit',
        component: () => import('@/views/normal/club/cate/edit'),
        name: 'ClubDeviceCateEdit',
        meta: { title: '设备编辑', noCache: true }
      }
    ]
  }
]

export default clubRoutes
